<?php
class AddedRecommendedDimensionsToSlideshows extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'added recommended dimensions to the slideshows table';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_slideshow_slideshows' => array(
					'width' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'available_slides'),
					'height' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'width'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_slideshow_slideshows' => array('width', 'height'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
